[API]
mysql_queryreal
mysql_store_result
mysql_num_fields
mysql_num_rows
mysql_free_result

[INCLUDE]
MySQL_Shared

[CODE]
Public Function MySQL_Query_NumResults(ByVal QueryString As String) As Long
  Dim xLong1 As Long

  MySQL_Query_NumResults = -1&
  If mysql_queryreal(MySQL_Handle, QueryString) = 0& Then
    xLong1 = mysql_store_result(MySQL_Handle)
    If Not xLong1 = 0& Then
      If Not mysql_num_fields(xLong1) = 0& Then
        MySQL_Query_NumResults = mysql_num_rows(xLong1)
        End If
      Call mysql_free_result(xLong1)
      End If
    End If
  End Function